title = "general - Case Settings - Devo SOAR"
startUrl = "/#/admin/cases"

elements = dict(
    # Status Workflow
    status_workflow_tab=("css", 'div[data-node-key="status_workflow"]'),
    status_workflow_list_container=("css", "div.ant-table-container"),
    new_status_workflow_btn=("css", 'button[text="New status workflow"]'),
    toast_message=("css", "div.ant-notification-notice-message"),
    toast_message_close_button=("css", "a.ant-notification-notice-close"),
    status_workflow_heading=("css", "div.lh-case-config-card-header-title"),
    status_workflow_name=("css", "input#updatedName"),
    status_workflow_description=("css", "textarea#updatedDescription"),
    status_workflow_save_btn=("css", 'button[text="Save"]'),
    status_workflow_update_btn=("css", 'button[text="Update"]'),
    status_workflow_yes_delete_btn=("css", 'button[text="Yes, Delete"]'),
    status_workflow_yes_btn=("css", 'button[text="Yes"]'),
    status_workflow_row=("css", 'tr[name="{status_workflow_name}"]'),
    status_workflow_new_status_btn=("css", 'button[text="New status"]'),
    status_workflow_new_status_name=("css", 'input[placeholder="Enter Title"]'),
    status_workflow_new_status_type_dropdown=("css", "div.rc-select-selection__rendered"),
    status_workflow_new_status_type_choice=("css", 'li[text="{new_status_type}"]'),
    status_workflow_new_status_display_name=(
        "css",
        "tr:nth-child({nth_child}) td:nth-child(2) div",
    ),
    status_workflow_menu_icon=(
        "css",
        'tr[name="{status_workflow_name}"] td:nth-child({nth_child}) div span span',
    ),
    status_workflow_menu_del_btn=("css", 'li.ant-dropdown-menu-item span span:has-text("Delete")'),
    status_workflow_menu_edit_btn=("css", 'li.ant-dropdown-menu-item span span:has-text("Edit")'),
    status_workflow_menu_clone_btn=("css", 'li.ant-dropdown-menu-item span span:has-text("Clone")'),
    status_workflow_delete_confirmation_popup_content=(
        "css",
        "section.lh-confirm-alert-body-content",
    ),
    status_workflow_search_box=("css", "div.lh-search-box-with-search input"),
    status_workflow_row_display_name=("css", "td.lh-case-config-workflows-table-row div"),
    # Priority
    priority_tab=("css", 'div[data-node-key="priority"]'),
    new_priority_level_btn=("css", 'button[text="New priority level"]'),
    new_priority_name_input_field=("css", 'input[placeholder="Name"]'),
    new_priority_icon_dropdown=("css", "div.rc-select-selection--single"),
    new_priority_icon_type=("css", 'li[text="{priority_icon_type}"]'),
    new_priority_add_btn=("css", 'button[text="Add"]'),
    priority_delete_and_reassign_btn=("css", 'button[text="Delete and reassign"]'),
    # Fields
    fields_tab=("css", 'div[data-node-key="fields"]'),
    new_field_btn=("css", 'button[text="New field"]'),
    new_field_name_field=("css", "input#fieldName"),
    new_field_display_name_field=("css", "input#displayName"),
    field_menu_icon=("css", 'tr[fieldname="{field_name}"] td:nth-child(7) div span span'),
    field_rows_fieldname_column=("css", "tr[fieldname] td:nth-child(1) div"),
    field_rows_created_by_column=("css", "tr[fieldname] td:nth-child(5) div"),
    hide_system_fields_toggle=("css", "button.lh-toggle__button"),
    field_type_dropdown=("css", "div#fieldType"),
    choose_field_type=("css", 'li[text="{field_type}"]'),
    # General
    case_id_display_box=("css", "div.lh-editable-text--has-value p"),
    case_id_input_field=("css", "input.editable-text--input"),
    case_id_input_field_check_btn=("css", "button span.anticon-check"),
    # Case Types
    case_types_tab=("css", 'div[data-node-key="case_types"]'),
    new_case_type_btn=("css", 'button[text="New case type"]'),
    case_type_name_field=("css", "div.lh-input__wrapper  input"),
    case_type_description_field=("css", "div.lh-input__wrapper  textarea"),
    case_types_field_tab=("css", 'div[data-node-key="Fields"]'),
    case_types_field_container=("css", "div.ant-select-selection-overflow"),
    case_types_status_workflow_tab=("css", 'div[data-node-key="Status Workflow"]'),
    select_case_type_status_workflow=("css", 'li[text="{status_workflow}"]'),
    case_types_tesk_tab=("css", 'div[data-node-key="Automation and tasks"]'),
    case_types_add_task_btn=("css", 'button[text="Add Task / Automation"]'),
    case_type_add_task_select_manual_task=(
        "css",
        "div.lh-case-config-tasks-create-type-item:nth-child(1)",
    ),
    case_types_manual_task_name=("css", "input#title"),
    case_types_sw_existing_status_map=(
        "css",
        "section div.lh-form-select div.rc-select-selection--single",
    ),
    case_types_sw_existing_status_new_map=("css", 'li[text="ToDo"]'),
    case_types_status_workflow_submit_btn=("css", 'button[text="Submit"]'),
    case_types_details_tab=("css", 'div[data-node-key="Details"]'),
    ok_btn=("css", 'button[text="Ok"]'),
)
